{
    template:'${tmpl}',
    data:function(){
        return {
            runTabKey: 1,
            show2: false,
            homeBackArr: [
                "background: url('/imgs/home/backgroundImg1.png') no-repeat;background-size: 100% 100%;",
            ],
            shareLeftArr: [
                {
                    icon:'/imgs/home/z1.png',
                    iconShow:'/imgs/home/z2.png',
                    name:'专利信息服务',
                    desc:'提供专利数据查询、API数据接口专利文献等信息'
                },{
                    icon:"/imgs/home/q1.png",
                    iconShow:'/imgs/home/q2.png',
                    name:'专利深度挖掘',
                    desc:'深度挖掘科技新闻、科技文献等信息'
                },{
                    icon:"/imgs/home/w11.png",
                    iconShow:'/imgs/home/w22.png',
                    name:'专利信息可视化',
                    desc:'各区域、产业、创新主体专利数据清晰查阅'
                }
            ],
            shareRightArr: [
                {
                    icon:"/imgs/home/b1.png",
                    iconShow:'/imgs/home/b2.png',
                    name:'全新在线分析报告',
                    desc:'提供多种分析报告、在线生成导出'
                },{
                    icon:"/imgs/home/v1.png",
                    iconShow:'/imgs/home/v2.png',
                    name:'专利交易信息',
                    desc:'专利转让、求购等信息一目了然'
                },{
                    icon:"/imgs/home/p1.png",
                    iconShow:'/imgs/home/p2.png',
                    name:'最新专利新闻推送',
                    desc:'根据用户浏览行为、推送最新专利新闻'
                }
            ],
            wisdomArr: [
                {
                    icon:'/imgs/home/w1.png',
                    name:'区域专利数据',
                    text:'有助于各级知识产权管理部门了解和掌握本地区专利情况'
                },{
                    icon:'/imgs/home/w2.png',
                    name:'产业专利数据',
                    text:'有助于提升区域专利的数量和质量、增强产业创新竞争力'
                },{
                    icon:'/imgs/home/w3.png',
                    name:'创新主体',
                    text:'有效利用各企业的技术优势和竞争优势，提高整个区域产业的发展创新能力'
                },{
                    icon:'/imgs/home/w4.png',
                    name:'专家信息',
                    text:'提供各发明人专利数据监测服务方便了解各发明人在行业内的贡献度'
                }
            ],
            runArr: [
                {},{},{},{},{},{},{}
            ],
            contentArr: [
                {
                    img:'background: url(/imgs/home/nav1.png) no-repeat;',
                    name:'热门专利'
                },{
                    img:'background: url(/imgs/home/nav2.jpg) no-repeat;',
                    name:'热门科技资讯'
                },{
                    img:'background: url(/imgs/home/nav3.jpg) no-repeat;',
                    name:'热门文献'
                },
            ],
            bannerTabsArr: [
                {
                    img:"/imgs/home/icon1.png",
                    name:'智能检索'
                },
                {
                    img:"/imgs/home/icon2.png",
                    name:'智能分析'
                },
                {
                    img:"/imgs/home/icon6.png",
                    name:'智能估价'
                },
                {
                    img:"/imgs/home/icon3.png",
                    name:'IP创新管理'
                },
                {
                    img:"/imgs/home/icon5.png",
                    name:'产业创新监测'
                },
                {
                    img:"/imgs/home/icon4.png",
                    name:'IP智慧城市'
                },
                {
                    img:"/imgs/home/icon7.png",
                    name:'创新人才发现'
                },
                {
                    img:"/imgs/home/icon8.png",
                    name:'知识产权运营'
                },
                {
                    img:"/imgs/home/icon9.png",
                    name:'创新资源共享'
                }
            ],
            tms:[],
            loopplays:[
            ],
            channels:[],
            keyIcon: null,
            keyIcon1: null,
            BannerHeight:''
        }
    },
    mounted:function(){
    this.fetchloopplay();
    this.fetchchannels();
    function autoScroll(obj){  
        $(obj).find("ul").animate({  
            marginTop : "-39px"  
        },500,function(){  
            $(this).css({marginTop : "0px"}).find("li:first").appendTo(this);  
        })  
    }  
    $(function(){  
        setInterval( () => {
            autoScroll(".run-item-article")
        },3000);
    });
    
    var that = this;
    /*$('.home-banner').starfield({
        starDensity: 2.0,
        mouseScale: 0.5,
        seedMovement: true
    });*/
    },
    created:function(){
        console.log(this.$root.pushx,"----------------------------------------------");
        var that = this;
        this.BannerHeight = window.innerHeight;
      
        $(window).resize(function(){
            that.BannerHeight = window.innerHeight; 
        });
        this.$root.typeHome = true;
    },
    methods:{
        iframeDJ(val) {
          if (val == 1) {
            this.$root.pushx({
              title:"区域专利监控",
              name:"/iframehtml",
              params:{url: 'http://zhuanzhidao.gongsibao.com/#/regionalpatentmonitoring'}
            });
          }else if (val == 2) {
            this.$root.pushx({
              title:"专利智能检索",
              name:"/iframehtml",
              params:{url: 'http://zhuanzhidao.gongsibao.com/#/patentsimplesearch'}
            });
          }else if (val == 3) {
            this.$root.pushx({
              title:"专利高级检索",
              name:"/iframehtml",
              params:{url: 'http://zhuanzhidao.gongsibao.com/#/patentadvancedsearch'}
            });
          }else if (val == 4) {
            this.$root.pushx({
              title:"企业决策",
              name:"/iframehtml",
              params:{url: 'http://zhuanzhidao.gongsibao.com/#/businessdecisions'}
            });
          }
        },
        show2enter() {
            this.show2 = true;
        },
        show2leave() {
            this.show2 = false;
        },
        enter (key) {
            this.keyIcon = key;
        },
        leave () {
            this.keyIcon = null;
        },
        entertwo (key) {
            this.keyIcon1 = key;
        },
        leavetwo () {
            this.keyIcon1 = null;
        },
        navRoute (name) {
            console.log(name);
            this.$root.NavIndexRoute(name);
        },
      fetchloopplay:function(){
        this.loopplays=loopplays;
        if(loopplays && loopplays.length==0){
          this.loopplays.push({"leftimg":"https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_202215516795147422019414514742leftimg.png"});
        }
      },
      fetchchannels(){
        var self=this;
        self.$root.postReq("/web/newschannelCtl/findPrev5",{}).then(function(d){
            if(d.status==0){
                self.channels=d.data;
            }
        });
      },
    moreclick:function(id){
        console.log("more............",id);
          /*修改路由条目*/
          Object.keys(this.$router.mapRouterEntry).map((k)=>{
            if(k.indexOf(":id")>0){
                var tmparray=k.split(":");
                var routerviewname=tmparray[0]+id;
                console.log("==============================");
                console.log(k,routerviewname);
                var entryValue=this.$router.mapRouterEntry[k];
                var curcom=entryValue.components[k];
                entryValue.components[routerviewname]=curcom;
                console.log("==============================");
            }
        });
        this.$root.pushx({
            title:"更多文章",
            name:"/channelquery/"+id
        });
      },
      rowclick:function(r){
        console.log("----------------------------------articledetail--------------------------------------");
        console.log(r);
        /*修改路由条目*/
        Object.keys(this.$router.mapRouterEntry).map((k)=>{
            if(k.indexOf(":id")>0){
                var tmparray=k.split(":");
                var routerviewname=tmparray[0]+r.id;
                console.log("==============================");
                console.log(k,routerviewname);
                var entryValue=this.$router.mapRouterEntry[k];
                var curcom=entryValue.components[k];
                entryValue.components[routerviewname]=curcom;
                console.log("==============================");
            }
        });
        this.$root.pushx({
            title:r.title,
            name:"/articledetail/"+r.id
        });
      },
    },
    computed:{
    },
    vname:"gsb-moreservice"
}
